import type { NobjcObject } from "objc-js";
import type { _MDLAnimatedValue } from "./MDLAnimatedValue.js";
export declare class _MDLAnimatedVector4 extends _MDLAnimatedValue {
    static alloc(): _MDLAnimatedVector4;
    static new(): _MDLAnimatedVector4;
    init(): _MDLAnimatedVector4;
    setFloat4$atTime$(value: NobjcObject, time: number): void;
    setDouble4$atTime$(value: NobjcObject, time: number): void;
    float4AtTime$(time: number): NobjcObject;
    double4AtTime$(time: number): NobjcObject;
    resetWithFloat4Array$atTimes$count$(valuesArray: NobjcObject, timesArray: NobjcObject, count: number): void;
    resetWithDouble4Array$atTimes$count$(valuesArray: NobjcObject, timesArray: NobjcObject, count: number): void;
    getFloat4Array$maxCount$(valuesArray: NobjcObject, maxCount: number): number;
    getDouble4Array$maxCount$(valuesArray: NobjcObject, maxCount: number): number;
}
